Alfresco script based install for Ubuntu servers in version Alfresco Community 6.2.2

cancel
Showing results for 
Search instead for 
Did you mean: 
Active Member

Alfresco script based install for Ubuntu servers in version Alfresco Community 6.2.2

Hi,
I want to install the Alfresco Community 6.2.2 version on ubuntu linux.
The alfinstall.sh shell script is configured for version 6.1.1
https://github.com/loftuxab/alfresco-ubuntu-install
Does anyone have the script updated to version 6.2.2?
With best regards,
José Roberto

2 Replies
Active Member

Re: Alfresco script based install for Ubuntu servers in version Alfresco Community 6.2.2

Hi,

 

If you look into the installation script, you can see at line 37 that you have the version installed.

I guess you could just modify the path and it would work, you can check here https://downloads.loftux.net/public/content/org/alfresco/content-services-community  for the version available.

However, i thnk you gotta watch compatibility with other services's version

Hoping it will help,

Simon.

Active Member

Re: Alfresco script based install for Ubuntu servers in version Alfresco Community 6.2.2

Hi Simon,
I changed the script.
See below:

export LIBREOFFICE=https://download.documentfoundation.org/libreoffice/stable/7.0.2/deb/x86_64/LibreOffice_7.0.2_Linux_...
export ALFRESCO_PDF_RENDERER=https://artifacts.alfresco.com/nexus/service/local/repositories/releases/content/org/alfresco/alfres...

export ALFREPOWAR=https://artifacts.alfresco.com/nexus/content/groups/public/org/alfresco/content-services-community/6...
export ALFSHAREWAR=https://downloads.loftux.net/public/content/org/alfresco/share/6.2.2/share-6.2.2.war
export ALFSHARESERVICES=https://artifacts.alfresco.com/nexus/content/groups/public/org/alfresco/alfresco-share-services/6.2....
export ALFMMTJAR=https://downloads.loftux.net/public/content/org/alfresco/alfresco-mmt/6.0/alfresco-mmt-6.0.jar

export ASS_DOWNLOAD=https://artifacts.alfresco.com/nexus/content/groups/public/org/alfresco/alfresco-search-services/2.1...

export LXALFREPOWAR=https://downloads.loftux.net/alfresco/alfresco-platform/LX101/alfresco-platform-LX101.war
export LXALFSHAREWAR=https://downloads.loftux.net/alfresco/share/LX101/share-LX101.war
export LXALFSHARESERVICES=https://downloads.loftux.net/alfresco/alfresco-share-services/LX101/alfresco-share-services-LX101.am...
export LXAOS_AMP=https://artifacts.alfresco.com/nexus/content/groups/public/org/alfresco/aos-module/alfresco-aos-modu...


export GOOGLEDOCSREPO=https://artifacts.alfresco.com/nexus/content/groups/public/org/alfresco/integrations/alfresco-google...
export GOOGLEDOCSSHARE=https://artifacts.alfresco.com/nexus/content/groups/public/org/alfresco/integrations/alfresco-google...

export AOS_VTI=https://artifacts.alfresco.com/nexus/content/groups/public/org/alfresco/aos-module/alfresco-vti-bin/...
export AOS_SERVER_ROOT=https://downloads.loftux.net/public/content/org/alfresco/alfresco-server-root/6.0.1/alfresco-server-...
export AOS_AMP=https://artifacts.alfresco.com/nexus/content/groups/public/org/alfresco/aos-module/alfresco-aos-modu...


What is the difference between RC1.war and A1.war?
Are the compatibility of the versions correct?
With best regards,
José Roberto.